![#SIMILAR](src/doc/images/similarLogo.png)

[![Documentation](https://img.shields.io/badge/documentation-web-brightgreen.svg)](http://www.lgi2a.univ-artois.fr/~morvan/similar/docs/README.html)
[![Download](https://img.shields.io/badge/download-latest%20binary%20distribution%20(v0.2.6)-blue.svg)](https://github.com/gildasmorvan/similar/releases/download/v0.2.6-distribution/similar-distribution-0.2.6-bin.zip)
[![Build Status](https://travis-ci.org/gildasmorvan/similar.svg?branch=master)](https://travis-ci.org/gildasmorvan/similar)
[![Quality Gate Status](https://sonarcloud.io/api/project_badges/measure?project=fr.univ-artois.lgi2a%3Asimilar&metric=alert_status)](https://sonarcloud.io/dashboard?id=fr.univ-artois.lgi2a%3Asimilar)
[![Bugs](https://sonarcloud.io/api/project_badges/measure?project=fr.univ-artois.lgi2a%3Asimilar&metric=bugs)](https://sonarcloud.io/dashboard?id=fr.univ-artois.lgi2a%3Asimilar)
[![Vulnerabilities](https://sonarcloud.io/api/project_badges/measure?project=fr.univ-artois.lgi2a%3Asimilar&metric=vulnerabilities)](https://sonarcloud.io/dashboard?id=fr.univ-artois.lgi2a%3Asimilar)

The [SIMILAR](http://www.lgi2a.univ-artois.fr/~morvan/similar.html) suite is a Java API under the [CeCILL-B license](http://cecill.info) whose purpose is to support the implementation of multi-agent-based simulations using the formerly named IRM4MLS meta-model. It is fully described in these two papers:

* [G. Morvan and Y. Kubera. On time and consistency in multi-level agent-based simulations. arXiv:1703.02399, 2017](https://arxiv.org/abs/1703.02399)

* [G. Morvan, A. Veremme, and D. Dupont. IRM4MLS: the influence reaction model for multi-level simulation. Multi-Agent-Based Simulation XI, LNAI 6532, pages 16–27. Springer, 2011](http://arxiv.org/abs/1310.7951)

This software defines an API to implement such simulations and provides usage examples.

A binary distribution of SIMILAR can be downloaded [here](https://github.com/gildasmorvan/similar/releases).

## Usage

For more information about SIMILAR and how to use it, see [its documentation](http://www.lgi2a.univ-artois.fr/~morvan/similar/docs/README.html) and the files [README_USER.txt](https://github.com/gildasmorvan/similar/blob/master/README_USER.txt) and [README_DEVELOPPER.txt](https://github.com/gildasmorvan/similar/blob/master/README_DEVELOPPER.txt).

## License

SIMILAR is distributed under the [CeCILL-B license](http://cecill.info). In a few words, "if the initial program is under CeCILL-B, you can distribute your program under any license that you want (without the need to distribute the source code) provided you properly mention the use that you did of the initial program" (from the [CeCILL-B FAQ](http://www.cecill.info/faq.en.html#differences) ).

See the file  [LICENSE.txt](LICENSE.txt) for more information. 

## Contributors

Yoann KUBERA - [mail](mailto:yoann.kubera@gmail.com) - [homepage](http://yoannkubera.net/) - designer, architect, developer.

Gildas MORVAN - [mail](mailto:gildas.morvan@univ-artois.fr) - [homepage](http://www.lgi2a.univ-artois.fr/~morvan/) - creator of the IRM4MLS meta-model, developer.
